質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.99%

railsをherokuにあげる時にエラーが表示される

受付中

回答 0

投稿

  • 評価
  • クリップ 1
  • VIEW 319

awa

score 28

railsでアプリを作りherokuにアップしたのですが、以下のコマンドを打つと以下のようなエラーが表示されます。
調べてみましたがお手上げ状態で困っています。
教えていただけないでしょうか。

heroku pg:reset DATABASE
(node:17119) Error Plugin: @oclif/plugin-legacy: files attribute must be specified in /home/ec2-user/.nvm/versions/node/v6.15.0/lib/node_modules/heroku-cli/node_modules/@oclif/plugin-legacy/package.json
module: @oclif/config@1.10.4
plugin: @oclif/plugin-legacy
root: /home/ec2-user/.nvm/versions/node/v6.15.0/lib/node_modules/heroku-cli/node_modules/@oclif/plugin-legacy
See more details with DEBUG=*
(node:17119) Error Plugin: @oclif/plugin-not-found: files attribute must be specified in /home/ec2-user/.nvm/versions/node/v6.15.0/lib/node_modules/heroku-cli/node_modules/@oclif/plugin-not-found/package.json
module: @oclif/config@1.10.4
plugin: @oclif/plugin-not-found
root: /home/ec2-user/.nvm/versions/node/v6.15.0/lib/node_modules/heroku-cli/node_modules/@oclif/plugin-not-found
See more details with DEBUG=*
(node:17119) Error Plugin: @oclif/plugin-plugins: files attribute must be specified in /home/ec2-user/.nvm/versions/node/v6.15.0/lib/node_modules/heroku-cli/node_modules/@oclif/plugin-plugins/package.json
module: @oclif/config@1.10.4
plugin: @oclif/plugin-plugins
root: /home/ec2-user/.nvm/versions/node/v6.15.0/lib/node_modules/heroku-cli/node_modules/@oclif/plugin-plugins
See more details with DEBUG=*
(node:17119) Error Plugin: @oclif/plugin-update: files attribute must be specified in /home/ec2-user/.nvm/versions/node/v6.15.0/lib/node_modules/heroku-cli/node_modules/@oclif/plugin-update/package.json
module: @oclif/config@1.10.4
plugin: @oclif/plugin-update
root: /home/ec2-user/.nvm/versions/node/v6.15.0/lib/node_modules/heroku-cli/node_modules/@oclif/plugin-update
See more details with DEBUG=*
(node:17119) Error Plugin: @oclif/plugin-warn-if-update-available: files attribute must be specified in /home/ec2-user/.nvm/versions/node/v6.15.0/lib/node_modules/heroku-cli/node_modules/@oclif/plugin-warn-if-update-available/package.json
module: @oclif/config@1.10.4
plugin: @oclif/plugin-warn-if-update-available
root: /home/ec2-user/.nvm/versions/node/v6.15.0/lib/node_modules/heroku-cli/node_modules/@oclif/plugin-warn-if-update-available
See more details with DEBUG=*
 ›   Warning: heroku-cli update available from 7.0.9 to 7.19.4WARNING: Destructive action
 ▸    postgresql-rugged-58429 will lose all of its data
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

まだ回答がついていません

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.99%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる